Множественные уязвимости в CMS Made Simple

Дата публикации:
28.09.2005
Дата изменения:
02.12.2008
Всего просмотров:
1605
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2005-3083
CVE-2005-2846
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Обход ограничений безопасности
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
CMS Made Simple 0.x
Уязвимые версии: CMS Made Simple 0.10, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение, обойти некоторые ограничения безопасности и скомпрометировать целевую систему.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "page" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запросы выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной проверки подлинности в сценарии "admin/lang.php". Удаленный пользователь может установить параметр "CMS_ADMIN_PAGE" и получить неавторизованный доступ к приложению. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "nls[file][vx][vxsfx]" в сценарии admin/lang.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP.

URL производителя: www.cmsmadesimple.org

Решение: Установите последнюю версию 0.10.1 с сайта производителя.

Журнал изменений:

02.12.2008
Изменено описание уязвимостей.

Ссылки: CMS Made Simple 0.10 is susceptible to a cross site scripting attack.

или введите имя

CAPTCHA